Skip to main content
Retrieve room details by the optional custom_id set during room creation, instead of the internal UUID.

Endpoint

GET /v1/accounts/:accountId/rooms/custom/:customId

Authentication

Bearer token required.

Path Parameters

customId
string
required
The custom identifier assigned when the room was created.

Query Parameters

Supports the same user pagination and filtering parameters as Get Room:
limit
number
default:"50"
Number of users to return. Maximum 100.
offset
number
default:"0"
Number of users to skip.
Case-insensitive partial match on user name or ID.
from
string
ISO date string. Only return users created at or after this date.
to
string
ISO date string. Only return users created at or before this date.

Response

Returns the same response format as Get Room.

Example

curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/rooms/custom/my-room-1" \
  -H "Authorization: Bearer ${TOKEN}"
Response
{
  "type": "response",
  "success": true,
  "description": "Room retrieved",
  "data": {
    "room": {
      "id": "c3003c93-60cf-4184-...",
      "account_id": "a1b2c3d4-...",
      "name": "whiteboard/room-one",
      "custom_id": "my-room-1",
      "created_at": "2026-05-29T10:00:00.000Z",
      "state": "active",
      "duration_seconds": 3600,
      "active_participants": 2,
      "total_users_created": 5
    },
    "users": [ ... ],
    "usersTotal": 5,
    "limit": 50,
    "offset": 0
  },
  "error": null
}
If no room matches the given customId within your organization, the API returns a 404 NOT_FOUND error.